# TempFile Class Reference

List of all members.

## Public Member Functions

| __construct ($directory= 'temp-garbage/', $prefix= 'TmpFile')
| __destruct ()
| getPath ()

## Private Attributes

| $path = null

## Detailed Description

Definition at line 12 of file TempFile.class.php.

## Constructor & Destructor Documentation

TempFile::__construct | ( | $ | directory = `'temp-garbage/'`,
|  | $ | prefix = `'TmpFile'` |
| ) |  |  |

Definition at line 16 of file TempFile.class.php.

References FileUtils::makeTempFile().

Here is the call graph for this function:

TempFile::__destruct | ( |  | ) |

Definition at line 23 of file TempFile.class.php.

## Member Function Documentation

TempFile::getPath | ( |  | ) |

Definition at line 32 of file TempFile.class.php.

## Member Data Documentation

TempFile::$path = null`[private]`

Definition at line 14 of file TempFile.class.php.

The documentation for this class was generated from the following file:

- main/Base/TempFile.class.php